Bug 101687 - rhn_register segfaults on submitting RHN login information
rhn_register segfaults on submitting RHN login information
Status: CLOSED CANTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: rhn_register (Show other bugs)
beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-08-05 12:10 EDT by Eric T. Schaffner
Modified: 2007-07-26 20:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 20:16:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric T. Schaffner 2003-08-05 12:10:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:


Version-Release number of selected component (if applicable):
up2date-3.1.46-2

How reproducible:
Always

Steps to Reproduce:
1.  Start either rhn_register or up2date --register
2.  Click Forward at the Welcome screen
3.  Click Forward at the Privacy Statement
4.  Either specify an existing account or a new account at the Step 2:Login page
5.  Click Forward
    

Actual Results:  rhn_register sits for 5-6 seconds, then exits with the error:
segmentation fault.

It does not give any additional error information, even when using the -v or
--verbose switches.

This also occurs with up2date-nox --register

Expected Results:  rhn_register should have proceeded with the registration process.

Additional info:

This is a fresh install of stock Severn beta 1, default Gnome workstation
package selection.
Comment 1 Adrian Likins 2003-09-17 15:19:04 EDT
does this still occur with current versions (3.9.2x or so?)
Comment 2 Eric T. Schaffner 2003-09-17 22:11:44 EDT
I updated rhnlib and up2date from the latest versions in rawhide:

rhnlib 1.4-1
up2date 3.9.28-2
up2date-gnome 3.9.28-2

rhn_register still bombs out without any error message.  I tried launching:

up2date -> no error, crash on submitting login
up2date -v -> ditto
rhn_register -> ditto
up2date-nox -> crash on submitting login, but this gave me a GTK dialog box that
said "Unknown error occured"

FWIW, I did a fresh install on a second system -- stock Severn beta 1 up2date
worked without a hitch, so this is definitely isolated to my first system.

I hope everyone at RH remains safe and sound during the hurricaine!
Comment 3 Eric T. Schaffner 2003-10-06 21:55:11 EDT
I just wiped out my Severn1 install and did a fresh Severn2 install.  up2date
--register and up2date-nox --register still crash without any error messages or
log entries explaining why.

Watching the network monitor shows that the system does receive back some
packets from RHN right before up2date --register goes down.

I also tried updating up2date with the latest Rawhide release
(up2date-4.0.1-2.i386.rpm)

The only odd thing I can identify with my system is that I'm using a PPPD script
to dial out on a GPRS modem instead of using the RedHat networking GUI tools. 
Could this be the source of the problem?
Comment 4 petrosyan 2003-11-06 12:58:04 EST
I can confirm that in Fedora Core 1, running 'up2date --register' or
'up2date-nox --register' does not do anything.

Comment 5 Bill Nottingham 2006-08-07 11:47:07 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still running
Red Hat Linux, you are strongly advised to upgrade to a current Fedora Core
release or Red Hat Enterprise Linux or comparable. Some information on which
option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks. Please check if this
issue is still present in a current Fedora Core release. If so, please change
the product and version to match, and check the box indicating that the
requested information has been provided. Note that any bug still open against
Red Hat Linux by the end of 2006 will be closed as 'CANTFIX'. Thanks again for
your help.
Comment 7 Bill Nottingham 2007-07-26 20:16:53 EDT
Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.